add_subdirectory( dvb  )
add_subdirectory( mpeg )
add_subdirectory( atsc )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/lib
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ucsi (static)

tde_add_library( ucsi STATIC_PIC

  SOURCES
        crc32.c
        section_buf.c
        transport_packet.c
  LINK
     dvbmpeg-static
     dvbdvb-static
     dvbatsc-static
)
